Some customers have reported seeing this error message when attempting to go live:

We've determined that Chrome version 96.0.4664.35, which is still in beta stage, is the cause. The fix has been to either downgrade back to version 95.0.4638 for the time being, or you can try another Chromium-based browser like Opera, Brave, or Edge until Chrome 96 stabilizes.


Have questions or suggestions? Email us at [email protected]. Happy Crowdcasting! 🎥

Did this answer your question?